/* 
 * %Z%%W% %I%
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 * IBM Java(tm)2 SDK, Standard Edition, v 1.4 
 *
 * (C) Copyright IBM Corp. 1998 , 2002. All Rights Reserved
 * (C) Copyright Sun Microsystems Inc. 1997 , 2002. All Rights Reserved
 * ===========================================================================
 */


package com.sun.tools.example.debug.gui;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import com.sun.jdi.*;
import com.sun.tools.example.debug.bdi.*;

public class ApplicationTool extends JPanel {

    private Environment env;
    private ExecutionManager runtime;
    
    private TypeScript script;

    private static final String PROMPT = "Input:";

    public ApplicationTool(Environment env) {

	super(new BorderLayout());

	this.env = env;
	this.runtime = env.getExecutionManager();

	this.script = new TypeScript(PROMPT, false); // No implicit echo.
	this.add(script);

	script.addActionListener(new ActionListener() {
	    public void actionPerformed(ActionEvent e) {
		runtime.sendLineToApplication(script.readln());
	    }
	});

	runtime.addApplicationEchoListener(new TypeScriptOutputListener(script));
	runtime.addApplicationOutputListener(new TypeScriptOutputListener(script));
	runtime.addApplicationErrorListener(new TypeScriptOutputListener(script));

	//### should clean up on exit!

    }

    /******
    public void setFont(Font f) {
	script.setFont(f);
    }
    ******/

}
